
QGIS Application - Bug report #16144

QGIS-master - killed on Signal 11

2017-02-03 03:14 AM - Gaelic Miko

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: archlinux Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24056

Description

At the moment a fresh built from master is not starting:

---------

-- QGIS version: 2.99.0 Master (29900)

-- Could not find GRASS 6

-- Could not find GRASS 7

-- Found Proj: /usr/lib64/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so (3.5.0)

-- Found GDAL: /usr/lib/libgdal.so (2.1.1)

-- Found Expat: /lib64/libexpat.so

-- Found Spatialindex: /usr/lib64/libspatialindex.so

-- Found Qwt: /usr/lib64/libqwt.so (6.1.3)

-- Found Sqlite3: /usr/lib64/libsqlite3.so

-- Found PostgreSQL: /usr/lib/libpq.so

-- Found SpatiaLite: /usr/lib64/libspatialite.so

-- Qt WebKit support enabled

-- Found Qt version: 5.8.0

-- Touch support disabled

-- Found QScintilla2: /usr/lib64/libqscintilla2-qt5.so (2.9.3)

-- Found QCA: /usr/lib64/libqca-qt5.so (2.1.1)

-- QtCore/QCA include/lib variables missing or CMake is cross-compiling,

--   skipping QCA OpenSSL plugin C++ check

-- Pedantic compiler settings enabled

-- Found Python executable: /usr/bin/python3

-- Found Python version: 3.6.0

-- Found Python library: /usr/lib64/libpython3.6m.so

-- Found Python site-packages: /usr/lib/python3.6/site-packages

-- Found PyQt5 version: 5.7.1

-- Found SIP version: 4.19

-- Found GSL: L/usr/lib -lgsl -lgslcblas -lm

- Qsci sip file not found - disabling bindings for derived classes

-- Configuring done

-- Generating done

------------

Starting QGis gives:

QGIS died on signal 11[New LWP 9724]

[New LWP 9725]

[New LWP 9726]
[New LWP 9727]

[New LWP 9729]

[New LWP 9730]

[New LWP 9731]

[New LWP 9732]

[New LWP 9733]

[New LWP 9734]

[New LWP 9735]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/usr/lib/libthread_db.so.1".

0x00007f9f31935dbb in waitpid () from /usr/lib/libc.so.6

[Current thread is 1 (Thread 0x7f9f35a16800 (LWP 9723))]

#0  0x00007f9f31935dbb in waitpid () at /usr/lib/libc.so.6

#1  0x000000000040ac1a in  ()

#2  0x00007f9f318b10b0 in <signal handler called> () at /usr/lib/libc.so.6

#3  0x00007f9f318fe446 in strlen () at /usr/lib/libc.so.6

#4  0x00007f9eb0466b69 in PyUnicode_FromFormatV () at /usr/lib/libpython3.6m.so.1.0

#5  0x00007f9eb049684d in PyErr_FormatV () at /usr/lib/libpython3.6m.so.1.0

#6  0x00007f9eb0496904 in PyErr_Format () at /usr/lib/libpython3.6m.so.1.0

#7  0x00007f9e9fdeb81a in  () at /usr/lib/python3.6/site-packages/sip.so

#8  0x00007f9e8f05a42a in PyInit_Qsci () at /usr/lib/python3.6/site-packages/PyQt5/Qsci.so

#9  0x00007f9eb050a541 in _PyImport_LoadDynamicModuleWithSpec () at /usr/lib/libpython3.6m.so.1.0

#10 0x00007f9eb050ab46 in  () at /usr/lib/libpython3.6m.so.1.0

#11 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#12 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#13 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#14 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#15 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#16 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#17 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#18 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#19 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#20 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#21 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#22 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#23 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#24 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#25 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#26 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#27 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#28 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#29 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#30 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#31 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#32 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#33 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#34 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#35 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#36 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#37 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#38 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#39 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#40 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0
#41 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#42 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#43 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#44 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#45 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#46 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#47 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#48 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#49 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#50 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#51 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#52 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#53 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#54 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#55 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#56 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#57 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#58 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#59 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#60 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#61 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#62 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#63 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#64 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#65 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#66 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#67 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#68 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#69 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#70 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#71 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#72 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#73 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#74 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#75 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#76 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#77 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#78 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#79 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#80 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#81 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#82 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#83 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#84 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#85 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#86 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#87 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#88 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#89 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#90 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#91 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#92 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#93 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0
#94 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#95 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#96 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#97 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#98 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#99 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#100 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#101 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#102 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#103 0x00007f9eb050bdc2 in  () at /usr/lib/libpython3.6m.so.1.0

#104 0x00007f9eb050ea0a in PyRun_StringFlags () at /usr/lib/libpython3.6m.so.1.0

#105 0x00007f9eb043a808 in  () at /usr/lib/libpython3.6m.so.1.0

#106 0x00007f9eb047791f in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#107 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#108 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#109 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#110 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#111 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#112 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#113 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#114 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#115 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#116 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#117 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#118 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#119 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#120 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#121 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#122 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#123 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#124 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#125 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#126 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#127 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#128 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#129 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#130 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#131 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#132 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#133 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#134 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#135 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#136 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#137 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#138 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#139 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#140 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#141 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#142 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#143 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#144 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#145 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#146 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0
#147 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#148 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#149 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#150 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#151 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#152 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#153 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#154 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#155 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#156 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#157 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#158 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#159 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#160 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#161 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#162 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#163 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#164 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#165 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#166 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#167 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#168 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#169 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#170 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#171 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#172 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#173 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#174 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#175 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#176 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#177 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#178 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#179 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#180 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#181 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#182 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#183 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#184 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#185 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#186 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#187 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#188 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#189 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#190 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#191 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#192 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#193 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#194 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#195 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#196 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#197 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#198 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#199 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0
#200 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#201 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#202 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#203 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#204 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#205 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#206 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#207 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#208 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#209 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#210 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#211 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#212 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#213 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#214 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#215 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#216 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#217 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#218 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#219 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#220 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#221 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#222 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#223 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#224 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#225 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#226 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#227 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#228 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#229 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#230 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#231 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#232 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#233 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#234 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#235 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#236 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#237 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#238 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#239 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#240 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#241 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#242 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#243 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#244 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#245 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#246 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#247 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#248 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#249 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#250 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#251 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#252 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0
#253 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#254 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#255 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#256 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#257 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#258 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#259 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#260 0x00007f9eb0486074 in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#261 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#262 0x00007f9eb03b02eb in  () at /usr/lib/libpython3.6m.so.1.0

#263 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#264 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#265 0x00007f9eb043a778 in  () at /usr/lib/libpython3.6m.so.1.0

#266 0x00007f9eb0477d00 in PyCFunction_Call () at /usr/lib/libpython3.6m.so.1.0

#267 0x00007f9eb0448379 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#268 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#269 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#270 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#271 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#272 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#273 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#274 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#275 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#276 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#277 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#278 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#279 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#280 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#281 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#282 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#283 0x00007f9eb04dc45a in _PyObject_CallMethodIdObjArgs () at /usr/lib/libpython3.6m.so.1.0

#284 0x00007f9eb042e084 in PyImport_ImportModuleLevelObject () at /usr/lib/libpython3.6m.so.1.0

#285 0x00007f9eb044ac38 in  () at /usr/lib/libpython3.6m.so.1.0

#286 0x00007f9eb04779bc in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#287 0x00007f9eb0486a0f in  () at /usr/lib/libpython3.6m.so.1.0

#288 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#289 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#290 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#291 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#292 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#293 0x00007f9eb0485629 in  () at /usr/lib/libpython3.6m.so.1.0

#294 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#295 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#296 0x00007f9eb0443ba9 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#297 0x00007f9eb0485291 in  () at /usr/lib/libpython3.6m.so.1.0

#298 0x00007f9eb048678a in  () at /usr/lib/libpython3.6m.so.1.0

#299 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#300 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#301 0x00007f9eb0485f9a in _PyFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#302 0x00007f9eb04dba4e in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#303 0x00007f9eb04dc852 in _PyObject_Call_Prepend () at /usr/lib/libpython3.6m.so.1.0

#304 0x00007f9eb04dc91b in PyObject_Call () at /usr/lib/libpython3.6m.so.1.0

#305 0x00007f9eb046f790 in  () at /usr/lib/libpython3.6m.so.1.0
#306 0x00007f9eb04d35ee in  () at /usr/lib/libpython3.6m.so.1.0

#307 0x00007f9eb04db84c in _PyObject_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#308 0x00007f9eb0486b86 in  () at /usr/lib/libpython3.6m.so.1.0

#309 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#310 0x00007f9eb048653a in  () at /usr/lib/libpython3.6m.so.1.0

#311 0x00007f9eb0486af3 in  () at /usr/lib/libpython3.6m.so.1.0

#312 0x00007f9eb0442d77 in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#313 0x00007f9eb0486f47 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#314 0x00007f9eb0442a5b in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#315 0x00007f9eb050bdc2 in  () at /usr/lib/libpython3.6m.so.1.0

#316 0x00007f9eb050ea0a in PyRun_StringFlags () at /usr/lib/libpython3.6m.so.1.0

#317 0x00007f9eb0880a0b in  () at /home/gaelic/Code/archlinux/qgis-git/pkg/qgis-git/opt/qgis-git/lib/libqgispython.so.2.99.0

#318 0x00007f9eb08828e6 in  () at /home/gaelic/Code/archlinux/qgis-git/pkg/qgis-git/opt/qgis-git/lib/libqgispython.so.2.99.0

#319 0x00007f9f3505a0b5 in  () at /opt/qgis-git/lib/libqgis_app.so.2.99.0

#320 0x00007f9f33d54964 in QgsPythonRunner::run(QString const&, QString const&) () at /opt/qgis-git/lib/libqgis_core.so.2.99.0

#321 0x00007f9f35055fe5 in QgisApp::QgisApp(QSplashScreen*, bool, bool, QWidget*, QFlags<Qt::WindowType>) () at

/opt/qgis-git/lib/libqgis_app.so.2.99.0

#322 0x0000000000407112 in  ()

#323 0x00007f9f3189e291 in __libc_start_main () at /usr/lib/libc.so.6

#324 0x000000000040a67a in _start ()

gdb returned 0

Aborted

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-02-07 04:44 AM - Gaelic Miko

It may be resolved. I (and others) recompiled a new checkout yesterday an the problem is gone.

A commit between the report date & time and yesterday (UTC 10.00) must have resolved the problem.

#3 - 2017-02-07 03:39 PM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Open to Closed

#4 - 2017-02-16 03:34 PM - Leyan Ouyang

Just in case someone else is interested : I got the same issue and managed to track it down to the python-qscintilla-qt5 version used in Archlinux. 2.9.3 has

the problem, updating the package to 2.9.4 resolves it.
